DialectCheck (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing
Interface DialectCheck

All Known Implementing Classes:
  DialectChecks.CaseSensitiveCheck, DialectChecks.DoesReadCommittedCauseWritersToBlockReadersCheck, DialectChecks.DoesReadCommittedNotCauseWritersToBlockReadersCheck, DialectChecks.DoesRepeatableReadCauseReadersToBlockWritersCheck, DialectChecks.DoesRepeatableReadNotCauseReadersToBlockWritersCheck, DialectChecks.HasSelfReferentialForeignKeyBugCheck, DialectChecks.SupportLimitAndOffsetCheck, DialectChecks.SupportLimitCheck, DialectChecks.SupportNotNullUnique, DialectChecks.SupportsCircularCascadeDeleteCheck, DialectChecks.SupportsColumnCheck, DialectChecks.SupportsEmptyInListCheck, DialectChecks.SupportsExistsInSelectCheck, DialectChecks.SupportsExpectedLobUsagePattern, DialectChecks.SupportsIdentityColumns, DialectChecks.SupportsLobValueChangePropogation, DialectChecks.SupportsParametersInInsertSelectCheck, DialectChecks.SupportsResultSetPositioningOnForwardOnlyCursorCheck, DialectChecks.SupportsRowValueConstructorSyntaxInInListCheck, DialectChecks.SupportsSequences, DialectChecks.SupportSubqueryAsLeftHandSideInPredicate, DialectChecks.SupportsUnboundedLobLocatorMaterializationCheck

    public interface DialectCheck

Defines a means to check `Dialect` features for use in "test protection" checks. Used from `RequiresDialectFeature`

Method Summary
`boolean` | `isMatch(Dialect dialect)` Does the given dialect match the defined check?

Method Detail

### isMatch

    boolean isMatch(Dialect dialect)

  Does the given dialect match the defined check?

  Parameters:
    `dialect` - The dialect against which to check
  Returns:
    `true` if it matches; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.